* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-image: url('static/background.png');
    background-size: cover;
    background-position: center;
    background-attachment: fixed;

    font-family: "Libertinus Math", system-ui;
    min-height: 100dvh;

    display: flex;
    justify-content: center;
    align-items: center;

    position: relative;
    overflow: hidden;
}

.decor-flowers {
    position: absolute;
    top: 0;
    left: 0;
    width: 350px;
    z-index: 1;
}

.decor-logo {
    position: absolute;
    bottom: 0;
    right: 0;
    width: 350px;
    z-index: 1;
    backdrop-filter: drop-shadow(0px 2px 6px rgba(0, 0, 0, 0.2));
}

.container {
    position: relative;
    z-index: 2;
    width: 90%;
    max-width: 500px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
}

.title-badge {
    font-family: 'New Rocker', serif;
    color: black;
    font-size: 64px;
    text-align: center;
    border-bottom: 5px double black;
    width: 100%;
}

.riddle-card {
    background-color: rgb(255,255,255);
    width: 100%;
    max-height: 40dvh;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    border-radius: 15px;
    padding: 15px;
    display: flex;
    align-items: center;
    text-align: left;
    flex-direction: column;
    font-size: 1em;
    color: black;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.05);
}

.hint-card {
    width: 100%;
    padding: 2px;
    display: flex;
    align-items: center;
    font-size: 0.9em;
    text-align: left;
    border-top: 2px solid black;
}

.about-link {
    align-self: start;
}

.about-link a {
    -webkit-tap-highlight-color: transparent !important;
    text-decoration: none;
    color: #000000;
    border-top: 3px double black;
    border-bottom: 3px double black;
    padding: 0 20px;
}

.math-wrapper {
    max-width: 100%;
}

mjx-container[display="true"] {
    overflow-x: auto !important;
    overflow-y: hidden !important;
    max-width: 100%;
    padding-bottom: 15px !important;
    -webkit-overflow-scrolling: touch;
}
